AM I DOOOOOOOOOOMED???? I am such an idiot.........

Discussion in 'Jailbreaks and iOS Hacks' started by reunitedrza, Dec 17, 2010.

  1. reunitedrza macrumors newbie

    Joined:
    Dec 17, 2010
    #1
    I originally purchased a 3G phone with 3.1.3 / 05.13.04..... Not knowing what I am doing, I updated to 4.2.1 / 05.15.04.... I know, I know, I am a dumbass...I shouldn't have updated the phone without looking into all possibilities... I regret so much. Everything on my phone is slow now.....

    * No, I didn't save my SHSH Blob for 3.1.3......


    This is where I am now with the phone:
    I have jailbroken it with redsn0w
    Unable to unlock the phone for T-Mobile because 5.15.04 can't be unlocked....


    I was suggested to upgrade the firmware to 06.15.00 to unlock it but warned that there is no going back from that version.




    Here are my questions:
    1) Is there anyway I can go back to 3.1.3 or 3.1.2, unlock and jailbreak it, be happy with the phone?

    2) If no, how bad is the Iphone 3G on 06.15.00 firmware? Can you tell me some of the issues 3G may have on that firmware?

    3) What is my best option to have this phone unlocked, jailbroken and minimize the slowness?
     
  2. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #2
    what's the bootrom on your phone?


    1) Is there anyway I can go back to 3.1.3 or 3.1.2, unlock and jailbreak it, be happy with the phone?

    Chances are, you can go back to 3.1.3 or 3.1.2 and JB, but you cannot downgrade the BB, so you won't be able to unlock

    2) If no, how bad is the Iphone 3G on 06.15.00 firmware? Can you tell me some of the issues 3G may have on that firmware?

    Some people report broken GPS, and some signal issues, there is no way to predict what can go wrong later.

    3) What is my best option to have this phone unlocked, jailbroken and minimize the slowness?

    No many option on the UNlock really, all you can do is sit tight and wait (the price of updating without reading/asking), you are aware of your mistake so that is the first step, please step away from any itunes update (ALWAYS)
     
  3. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #3
    Good job genius:D
    Now you're stuck using the ipad baseband and no GPS function.
    Unless you wait for a new unlock.
     
  4. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #4
    He hasn’t gone to 6.15.00, yet.
     
  5. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #5
    Yep, not yet but the only option he has now cause he needs it unlocked.
    I'd personally wait to see if The Dev team comes up with that baseband solution they were talking about.
     
  6. h1r0ll3r macrumors 68040

    h1r0ll3r

    Joined:
    Dec 28, 2009
    Location:
    Maryland
    #6
    Sell 3G, buy 3GS/IP4. Problem solved...for the most part.
     
  7. reunitedrza thread starter macrumors newbie

    Joined:
    Dec 17, 2010
    #7

    I am not sure what bootrom is and how to find it.....Is that something I can find for 3G? I youtubed it but all of them were for GS model. I followed the instruction, but i didn't see anything that says iboot, etc.
    i used forcast tool and it says something about bootloader 5.9...model MB048
     
  8. hackthatphone macrumors 68000

    hackthatphone

    Joined:
    Jul 28, 2010
    #8
    f0recast said 5.9? You are done. There is no going back. Your options are WAIT or rush into the ipad modem firmware update to unlock and pray there is a tool that will some day get you back onto normal iphone modem firmware.
     
  9. reunitedrza thread starter macrumors newbie

    Joined:
    Dec 17, 2010
    #9
    how likely these will happen sometime soon?
    if slim, do you think it is worth upgrading the firmware to 6?
     
  10. hackthatphone macrumors 68000

    hackthatphone

    Joined:
    Jul 28, 2010
    #10
    I don't know.

    Are you willing to lose your GPS and potentially never get it back? If so then go ahead.
     
  11. rgarjr, Dec 17, 2010
    Last edited: Dec 17, 2010

    rgarjr macrumors 603

    rgarjr

    Joined:
    Apr 2, 2009
    Location:
    Southern Cal
    #11
    Anyone ever wonder why the baseband can't be downgraded?

    Supposedly the dev team is now working on downgrading them.
     
  12. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #12
    Well, the Baseband also use SHSHs for authentication and hackers haven;t found those yet, so we cannot save them, also the algorithms use seen to be far more complex. and in top of that 4.2.1 show a BB version check. Dev team is working on the BB check, I have't heard of any work on BB downgrade.
     
  13. Dalton63841 macrumors 65816

    Dalton63841

    Joined:
    Nov 27, 2010
    Location:
    SEMO, USA
    #13
    You can stay on 4.1 with the newer baseband relatively easily. Save your SHSH blobs for 4.1 first thing. THis IS important. upgrade to the firmware that will give you the 06.15.00 baseband. Afterward, use the shsh blobs to downgrade back to 4.1. Unlike the firmware, once the baseband is upgraded, it does not downgrade.
     
  14. reunitedrza, Dec 17, 2010
    Last edited by a moderator: Dec 17, 2010

    reunitedrza thread starter macrumors newbie

    Joined:
    Dec 17, 2010
    #14
    on my earlier question, I had 4.2.1 iOS on the phone that was really slowing down the phone. Somehow, I managed to downgrade the iOS to 4.1 which is a lot faster. However, I am still stuck with BB of 05.15.04...

    I was just wondering if I can keep 4.1 and upgrade the BB to 06.15.00 so that I can unlock it.

    I see where you are going with this...

    Just like how I downgraded from 4.2.1 to 4.1 and kept the same BB of 05.15.04, I can simply upgrade again from 4.1 to 4.XXX that would give me the 06.15.00. Once that is done, I can downgrade again from 4.xxx to 4.1 and keep the 06.15.00. Great idea...

    By the way, do you know which 4.xxx would give me the 06.15.00 BB?
     
  15. maturola, Dec 17, 2010
    Last edited by a moderator: Dec 17, 2010

    maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #15
    The only way to get the BB 6.x which is the iPad BB is using a custom IPSW created by special edition of pawnage tool

    All the info you need (including all the warnings about doing that) are here: http://blog.iphone-dev.org/
     
  16. reunitedrza, Dec 17, 2010
    Last edited by a moderator: Dec 17, 2010

    reunitedrza thread starter macrumors newbie

    Joined:
    Dec 17, 2010
    #16

    I found something called Pwnage 4.1.3 Unlock Edition, but it is in *.dmg file format. Is there anyway I can run his program on my PC, Windows XP?
     
  17. ulbador macrumors 68000

    ulbador

    Joined:
    Feb 11, 2010
    #17
    You mean the link he gave you that has a big fat:
    "SIMPLIFIED ROUTE #1 (redsn0w for OSX + Windows):"

    Doesn't tell you what you need to do?
     
  18. reunitedrza thread starter macrumors newbie

    Joined:
    Dec 17, 2010
    #18
    Where do you see that?
     
  19. dgstan macrumors 6502a

    Joined:
    Jun 29, 2010
    #19
    I'm curious. How were you able to "somehow" downgrade from 4.2.1 to 4.1 without having your SHSH blogs saved?
     
  20. reunitedrza thread starter macrumors newbie

    Joined:
    Dec 17, 2010
    #20
    Done! Now, I have 3G with 4.1 iOS and 06.15.00 BB.... I guess I am stuck with this, but at least it is unlocked and jailbroken. I will find out soon if 06.15.00 sucks.

    All I had to do was downloaded the iPad baseband using redsn0W using the Pwnage kit.

    Fortunately, when I ran TinyUmbrella v4.21.01, it saved SHSH for 4.0 ~ 4.2b3.
    Then I used the host trick to downgrade to 4.1 successfully.
     
  21. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #21
    Interesting how 4.1 is faster for you than 4.2.1... mine was the complete opposite. But whatever works the best~

    I guess its too late now, but as mentioned prior (for now) you have no gps function (I guess that wasn't essential for you).

    But actually more importantly, you should double check if you have any battery drain issues, and any push notification issues (if you are hacktivated). Unless you used an att sim to activate possibly?

    I think out of everything, that is the biggest risk.
     
  22. idonotliketostu macrumors 6502

    Joined:
    Feb 28, 2008
    #22
    My cousin's 3gs is on the ipad baseband, the maps still work.
     
  23. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #23
    As discussed at the dev team blog, apparently people on 6.15.00 who "think" they have working gps in maps, etc. are actually functioning on network triangulation, and not a full satellite lock.
     

Share This Page